.\"	$NetBSD: huntd.6,v 1.8 2005/09/15 02:10:37 wiz Exp $
.\"
.\" huntd
.\"
.\" Copyright (c) 1983-2003, Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions are
.\" met:
.\"
.\" + Redistributions of source code must retain the above copyright
.\"   notice, this list of conditions and the following disclaimer.
.\" + Redistributions in binary form must reproduce the above copyright
.\"   notice, this list of conditions and the following disclaimer in the
.\"   documentation and/or other materials provided with the distribution.
.\" + Neither the name of the University of California, San Francisco nor
.\"   the names of its contributors may be used to endorse or promote
.\"   products derived from this software without specific prior written
.\"   permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
.\" IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
.\" PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
.\" OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
.\" SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
.\" LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
.\" OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 4, 2001
.Dt HUNTD 6
.Os
.Sh NAME
.Nm huntd
.Nd hunt daemon, back-end for hunt game
.Sh SYNOPSIS
.Nm
.Op Fl s
.Op Fl p Ar port
.Sh DESCRIPTION
.Nm
controls the multi-player
.Xr hunt 6
game.
When it starts up, it tries to notify all members of the
.Em hunt-players
mailing list (see
.Xr sendmail 8 )
by faking a
.Xr talk 1
request from user
.Dq Hunt Game .
.Pp
The
.Fl s
option is for running
.Nm
forever (server mode).
This is similar to running it under the control of
.Xr inetd 8
(see below), but it consumes a process table entry when no one is playing.
.Pp
The
.Fl p
option changes the UDP port number used to rendezvous with the player
process and thus allows for private games of hunt.
This option turns off the notification of players on the
.Em hunt-players
mailing list.
.Ss INETD
To run
.Nm
from
.Xr inetd 8 ,
you'll need to
.\"put the
.\".Nm hunt
.\"service in
.\".Pa /etc/services :
.\".Bd -literal
.\"hunt 26740/udp		# multi-player/multi-host mazewars
.\".Ed
.\"and
uncomment the following line in
.Pa /etc/inetd.conf :
.Bd -literal -offset indent -compact
hunt dgram udp wait nobody /usr/games/huntd huntd
.Ed
Do not use any of the command line options; if you want
.Xr inetd 8
to start up
.Nm
on a private port, change the port listed for
.Nm hunt
in
.Pa /etc/services .
.Sh NETWORK RENDEZVOUS
When
.Xr hunt 6
starts up, it broadcasts on the local area net
(using the broadcast address for each interface) to find a
.Nm hunt
game in progress.
If a
.Nm
hears the request, it sends back the port number for the
.Nm hunt
process to connect to.
Otherwise, the
.Nm hunt
process starts up a
.Nm
on the local machine and tries to rendezvous with it.
.Sh SEE ALSO
.Xr talk 1 ,
.Xr hunt 6 ,
.Xr sendmail 8
.Sh AUTHORS
Conrad Huang, Ken Arnold, and Greg Couch;
.br
University of California, San Francisco, Computer Graphics Lab
